#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path
from setuptools import setup, find_packages

VERSION = open('src/channels/_version.py').readlines()[-1].split()[-1].strip("\"'")
README = Path('README.md').read_text()

setup(
    name='ssa-' + Path().absolute().name,
    version=VERSION,
    description='Workspaces AMQP utility area',
    long_description=README,
    author='NRAO SSA Team',
    author_email='dms-ssa@nrao.edu',
    url='TBD',
    license="GPL",
    install_requires=['pika', 'pycapo'],
    keywords=[],
    packages=['channels'],
    package_dir={'':'src'},
    classifiers=[
        'Programming Language :: Python :: 3.8'
    ]
)
